# class Tk::BLT::Printer

### Constants

TkCommandNames

### Public Class Methods

enum(attribute) click to toggle source

    # File lib/tkextlib/blt/win_printer.rb, line 19
    def self.enum(attribute)
      simplelist(tk_call('::blt::printer', 'enum', attribute))
    end

names(pat=None) click to toggle source

    # File lib/tkextlib/blt/win_printer.rb, line 23
    def self.names(pat=None)
      simplelist(tk_call('::blt::printer', 'names', pat))
    end

new(printer) click to toggle source

    # File lib/tkextlib/blt/win_printer.rb, line 33
    def initialize(printer)
      @printer_id = tk_call('::blt::printer', 'open', printer)
    end

open(printer) click to toggle source

    # File lib/tkextlib/blt/win_printer.rb, line 27
    def self.open(printer)
      self.new(printer)
    end

### Public Instance Methods

close() click to toggle source

    # File lib/tkextlib/blt/win_printer.rb, line 37
    def close
      tk_call('::blt::print', 'close', @printer_id)
      self
    end

get_attrs(var) click to toggle source

    # File lib/tkextlib/blt/win_printer.rb, line 41
    def get_attrs(var)
      tk_call('::blt::print', 'getattrs', @printer_id, var)
      var
    end

set_attrs(var) click to toggle source

    # File lib/tkextlib/blt/win_printer.rb, line 45
    def set_attrs(var)
      tk_call('::blt::print', 'setattrs', @printer_id, var)
      self
    end

snap(win) click to toggle source

    # File lib/tkextlib/blt/win_printer.rb, line 49
    def snap(win)
      tk_call('::blt::print', 'snap', @printer_id, win)
      self
    end

write(str) click to toggle source

    # File lib/tkextlib/blt/win_printer.rb, line 53
    def write(str)
      tk_call('::blt::print', 'write', @printer_id, str)
      self
    end

write_with_title(title, str) click to toggle source

    # File lib/tkextlib/blt/win_printer.rb, line 57
    def write_with_title(title, str)
      tk_call('::blt::print', 'write', @printer_id, title, str)
      self
    end